variables:
  PYLINT_THRESHOLD: "8"
  PYTEST_COVERAGE_THRESHOLD: "50"

include:
  - remote: https://jobs.just-ci.dev/v3.2.3/'docker/kaniko.yml'
  - remote: https://jobs.just-ci.dev/v3.2.3/'python/black.yml'
  - remote: https://jobs.just-ci.dev/v3.2.3/'python/pylint.yml'
  - remote: https://jobs.just-ci.dev/v3.2.3/'python/pytest.yml'
  - remote: https://jobs.just-ci.dev/v3.2.3/'python/pip-outdated.yml'
  - remote: https://jobs.just-ci.dev/v3.2.3/'python/bandit.yml'
  - remote: https://jobs.just-ci.dev/v3.2.3/'python/safety.yml'
  - remote: https://jobs.just-ci.dev/v3.2.3/'python/semantic-release/private.yml'
